Package org.eclipse.birt.report.engine.content

# Interface IHyperlinkAction

public interface IHyperlinkAction
Defines an interface that allows engine to pass hyperlink information to an emitter, if the emitter determines to customize the hyperlinks calculated in engine, or it wants to use a totally different hyperlink string

Because it is allowed to customize hyperlinks through emitters, hyperlink customization in presentation engine itself is not supported now. It could be added later if it deems necessary.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACTION_BOOKMARK`
bookmark action
`static final int`
`ACTION_DRILLTHROUGH`
drillthrough action
`static final int`
`ACTION_HYPERLINK`
hyperlink action

## Method Summary

Modifier and Type
Method
Description
`String`
`getBookmark()`
`IDrillThroughAction`
`getDrillThrough()`
`String`
`getFormat()`
`String`
`getHyperlink()`
`Map`
`getParameterBindings()`
`String`
`getReportName()`
`Map`
`getSearchCriteria()`
`String`
`getTargetWindow()`
`String`
`getTooltip()`
`int`
`getType()`
`boolean`
`isBookmark()`
Deprecated.
replaced by IDrillThroughAction.isBookmark(); Return the bookmark type set in the drillthrough action.
`void`
`setBookmark(String bookmark)`
`void`
`setBookmarkType(boolean isBookmark)`
`void`
`setDrillThrough(String bookmark, boolean isBookmark, String reportName, Map<String,List<Object>> parameterBindings, Map searchCriteria, String target, String format, String targetFileType)`
`void`
`setDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format)`
Deprecated.
`void`
`setDrillThrough(IDrillThroughAction drillThrough)`
`void`
`setHyperlink(String hyperlink, String target)`
`void`
`setReportName(String reportName)`
`void`
`setTooltip(String tooltip)`

## Field Details

### ACTION_HYPERLINK

static final int ACTION_HYPERLINK
hyperlink action

See Also:
  - Constant Field Values

### ACTION_BOOKMARK

static final int ACTION_BOOKMARK
bookmark action

See Also:
  - Constant Field Values

### ACTION_DRILLTHROUGH

static final int ACTION_DRILLTHROUGH
drillthrough action

See Also:
  - Constant Field Values

## Method Details

### getType

int getType()

Returns:
  the type of the hyperlink

### isBookmark

@Deprecated boolean isBookmark()
Deprecated.
replaced by IDrillThroughAction.isBookmark(); Return the bookmark type set in the drillthrough action. The return result indicated the target element is a toc or not.

Returns:
  `true`, the target element is a bookmark. `false`, the target element is indicated to be a toc.

### getBookmark

String getBookmark()

Returns:
  the bookmark string (not the bookmark expression) when action type is bookmark or drillthrough, or null whe action type is hyperlink.

### getHyperlink

String getHyperlink()

Returns:
  the action string that is calculated using the engine's default algorithm. valid for all three action types.

### getReportName

String getReportName()

Returns:
  the report name if action type is drillthrough, null otherwise

### getParameterBindings

Map getParameterBindings()

Returns:
  a set of name/value pairs for running the report in a drillthrough link; null when the action type is not drillthrough, or no parameters are defined for the drillthrough report to run. In the future, when the drillthrough is against a report document, the parameter binding map is also null.

### getSearchCriteria

Map getSearchCriteria()

Returns:
  a set of name/value pairs for searching the report in a drillthrough link; null when the action type is not drillthrough, or no search criteria is used

### getFormat

String getFormat()

### getTargetWindow

String getTargetWindow()

Returns:
  The name of a frame where a document is to be opened.

### setHyperlink

void setHyperlink(String hyperlink, String target)

### setReportName

void setReportName(String reportName)

### setBookmark

void setBookmark(String bookmark)

### setBookmarkType

void setBookmarkType(boolean isBookmark)

### setDrillThrough

@Deprecated void setDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format)
Deprecated.

Parameters:
  `bookmark` -
  `isBookmark` -
  `reportName` -
  `parameterBindings` -
  `searchCriteria` -
  `target` -
  `format` -

### setDrillThrough

void setDrillThrough(String bookmark, boolean isBookmark, String reportName, Map<String,List<Object>> parameterBindings, Map searchCriteria, String target, String format, String targetFileType)

### getDrillThrough

IDrillThroughAction getDrillThrough()

### setDrillThrough

void setDrillThrough(IDrillThroughAction drillThrough)

### setTooltip

void setTooltip(String tooltip)

### getTooltip

String getTooltip()